﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;
using System.Drawing;

namespace WindowsFormsApplication19
{
    class ButtonCreationFilter : IUIElementCreationFilter
    {
        
        public void AfterCreateChildElements(UIElement parent)
        {
            ApplicationMenuButtonUIElement menuButton;
            RibbonAreaUIElement element = parent as RibbonAreaUIElement;
            if (parent is RibbonAreaUIElement)
            {
                if (element != null)
                {
                    menuButton = (ApplicationMenuButtonUIElement)parent.GetDescendant(typeof(ApplicationMenuButtonUIElement)) as ApplicationMenuButtonUIElement;
                    if (menuButton != null)
                    {
                        menuButton.Rect = new Rectangle(menuButton.Rect.X + 10, menuButton.Rect.Y+10, menuButton.Rect.Width, menuButton.Rect.Height);
                    }
                }

            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
